using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.VisualStudio.Data.AdoDotNet;
using Microsoft.VisualStudio.Data;
using Microsoft.Data.ConnectionUI;

namespace Howest.Guidance.Extensions.Common.Data
{
	public class OracleProviderObjectFactory : AdoDotNetProviderObjectFactory
	{
		public override object CreateObject(Type objType)
		{
			if (objType == typeof(DataConnectionUIControl))
			{
				return new OracleConnectionUIControl();
			}
			if (objType == typeof(DataConnectionProperties))
			{
				return new OracleConnectionProperties();
			}
			return base.CreateObject(objType);
		}
	}
}
